import 'package:chat/data/constants.dart';
import 'package:chat/generated/i18n.dart';
import 'package:flutter/widgets.dart';

import '../data/UserData.dart';
import '../utils/TokenMgr.dart';
import 'package:chat/data/UserData.dart';
import 'package:chat/utils/HttpUtil.dart';
import 'package:dio/dio.dart';

enum PhotoType {
  free,
  destroy,
  money,
  destroyMoney,
}

Map<String, String> phone = {
  "+86": "86",
  "+84": "84",
};

var constData = [
  {
    'program': [
      {"Key": "Motion", "Value": "Motion", "PageKey": 0, "List": []},
      {"Key": "Party", "Value": "Party", "PageKey": 0, "List": []},
      {"Key": "Foodie", "Value": "Foodie", "PageKey": 0, "List": []},
      {"Key": "Movie", "Value": "WatchMovie", "PageKey": 0, "List": []},
      {"Key": "Game", "Value": "Game", "PageKey": 0, "List": []},
      {"Key": "Travel", "Value": "CompanionTravel", "PageKey": 0, "List": []},
      {"Key": "Chat", "Value": "LianmaiChats", "PageKey": 0, "List": []},
      {"Key": "Other", "Value": "Other", "PageKey": 0, "List": []}
    ],
    'lovePeople': [
      {"Key": "Face", "Value": "LookFace", "PageKey": 0, "List": []},
      {"Key": "Interesting", "Value": "Interesting", "PageKey": 0, "List": []},
      {"Key": "LocalTyrant", "Value": "LocalTyrant", "PageKey": 0, "List": []},
      {"Key": "Love", "Value": "LoveMe", "PageKey": 0, "List": []},
      {"Key": "Feel", "Value": "LookFeeling", "PageKey": 0, "List": []},
      {"Key": "Indifferent", "Value": "Indifferent", "PageKey": 0, "List": []}
    ],
    'job': [
      {
        "Key": "Information",
        "Value": "InformationTechnology",
        "PageKey": 0,
        "List": [
          {
            "Key": "Internet",
            "Value": "Internet",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "IT",
            "Value": "IT",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Operate",
            "Value": "TelecomOperation",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "NetworkGame",
            "Value": "NetworkGame",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Communication",
            "Value": "Communication",
            "PageKey": 0,
            "ParentKey": "Information"
          }
        ]
      },
      {
        "Key": "Financial",
        "Value": "FinancialInsurance",
        "PageKey": 0,
        "List": [
          {
            "Key": "Investment",
            "Value": "Investment",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "StockFund",
            "Value": "StockFund",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Insurance",
            "Value": "Insurance",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Bank",
            "Value": "Bank",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "TrustGuarantee",
            "Value": "TrustGuarantee",
            "PageKey": 0,
            "ParentKey": "Financial"
          }
        ]
      },
      {
        "Key": "CommercialServices",
        "Value": "CommercialServices",
        "PageKey": 0,
        "List": [
          {
            "Key": "Consultation",
            "Value": "Consultation",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Individual",
            "Value": "IndividualManagement",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Cosmetology",
            "Value": "BeautyAndHairdressing",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Decoration",
            "Value": "Decoration",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Detective",
            "Value": "Detective",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "EstateManagement",
            "Value": "EstateManagement",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "RealEstate",
            "Value": "RealEstate",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Car",
            "Value": "Car",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Trade",
            "Value": "Trade",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "LeisureTime",
            "Value": "Recreation",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "HotelCatering",
            "Value": "HotelCatering",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Travel",
            "Value": "Travel",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          }
        ]
      },
      {
        "Key": "Make",
        "Value": "EngineeringManufacturing",
        "PageKey": 0,
        "List": [
          {
            "Key": "Architecture",
            "Value": "Architecture",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "CivilEngineering",
            "Value": "CivilEngineering",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Mechanics",
            "Value": "MachineryManufacturing",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Energy",
            "Value": "\r\nEnergy",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Clothing",
            "Value": "Clothing",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {"Key": "Food", "Value": "Food", "PageKey": 0, "ParentKey": "Make"},
          {
            "Key": "Biomedicine",
            "Value": "BiomedicalScience",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Electronics",
            "Value": "Electronics",
            "PageKey": 0,
            "ParentKey": "Make"
          }
        ]
      },
      {
        "Key": "Transportation",
        "Value": "Traffic",
        "PageKey": 0,
        "List": [
          {
            "Key": "Aviation",
            "Value": "Aviation",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Railway",
            "Value": "Railway",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Logistics",
            "Value": "LogisticsTransportation",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Traffic",
            "Value": "MassTransit",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "ShippingShips",
            "Value": "ShippingShips",
            "PageKey": 0,
            "ParentKey": "Transportation"
          }
        ]
      },
      {
        "Key": "CulturalMedia",
        "Value": "CulturalMedia",
        "PageKey": 0,
        "List": [
          {
            "Key": "MediaPublishing",
            "Value": "MediaPublishing",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Photography",
            "Value": "Photography",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Exhibition",
            "Value": "PublicRelationsExhibition",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Comic",
            "Value": "Comic",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Originality",
            "Value": "AdvertisingCreativity",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Spread",
            "Value": "CulturalCommunication",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Design",
            "Value": "Design",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          }
        ]
      },
      {
        "Key": "EntertainmentSports",
        "Value": "EntertainmentSports",
        "PageKey": 0,
        "List": [
          {
            "Key": "Model",
            "Value": "Model",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Music",
            "Value": "Music",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "SportsSports",
            "Value": "SportsSports",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Movies",
            "Value": "Movies",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          }
        ]
      },
      {
        "Key": "PublicUtilities",
        "Value": "PublicUtilities",
        "PageKey": 0,
        "List": [
          {
            "Key": "PublicWelfare",
            "Value": "PublicWelfare",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Speak",
            "Value": "Research",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "GovernmentOrgans",
            "Value": "GovernmentOrgans",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Education",
            "Value": "Education",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Law",
            "Value": "Law",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "MedicalCare",
            "Value": "MedicalCare",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          }
        ]
      },
      {
        "Key": "Student",
        "Value": "Student",
        "PageKey": 0,
        "List": [
          {
            "Key": "PuPils",
            "Value": "Student",
            "PageKey": 0,
            "ParentKey": "Student"
          }
        ]
      },
      {
        "Key": "Nothing",
        "Value": "Nothing",
        "PageKey": 0,
        "List": [
          {
            "Key": "NotHave",
            "Value": "Nothing",
            "PageKey": 0,
            "ParentKey": "Nothing"
          }
        ]
      }
    ],
    'city': [
      {
        "Key": "VietNam",
        "Value": "VietNam",
        "PageKey": 0,
        "List": [
          {
            "Key": "AnGiang",
            "Value": "AnGiang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacGiang",
            "Value": "BacGiang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacCan",
            "Value": "BacCan",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacLieu",
            "Value": "BacLieu",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BeiNing",
            "Value": "BeiNing",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BaRiaVungTau",
            "Value": "BaRiaVungTau",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BenTre",
            "Value": "BenTre",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BinhDinh",
            "Value": "BinhDinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingYang",
            "Value": "PingYang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingFu",
            "Value": "PingFu",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaMau",
            "Value": "CaMau",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoBang",
            "Value": "CaoBang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DeLe",
            "Value": "DeLe",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DeNong",
            "Value": "DeNong",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DienBien",
            "Value": "DienBien",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongNai",
            "Value": "DongNai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongThap",
            "Value": "DongThap",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "GiaLai",
            "Value": "GiaLai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaGiang",
            "Value": "HaGiang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaiDuang",
            "Value": "HaiDuang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Henan",
            "Value": "Henan",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaTinh",
            "Value": "HaTinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoaBinh",
            "Value": "HoaBinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HouJiang",
            "Value": "HouJiang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Xingan",
            "Value": "Xingan",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KhanhHo",
            "Value": "KhanhHo",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "JianJiang",
            "Value": "JianJiang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KonTum",
            "Value": "KonTum",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaiChua",
            "Value": "LaiChua",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LamDong",
            "Value": "LamDong",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LangSon",
            "Value": "LangSon",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaoCai",
            "Value": "LaoCai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LongAn",
            "Value": "LongAn",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NamDinh",
            "Value": "NamDinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NgheAn",
            "Value": "NgheAn",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "FuShou",
            "Value": "FuShou",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PhuYen",
            "Value": "PhuYen",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangBinh",
            "Value": "QuangBinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNam",
            "Value": "QuangNam",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNgai",
            "Value": "QuangNgai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNinh",
            "Value": "QuangNinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangTri",
            "Value": "QuangTri",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SocTrang",
            "Value": "SocTrang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SonLa",
            "Value": "SonLa",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TayNinh",
            "Value": "TayNinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiBinh",
            "Value": "ThaiBinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiNguyen",
            "Value": "ThaiNguyen",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThanhHoa",
            "Value": "ThanhHoa",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThuaThienHue",
            "Value": "ThuaThienHue",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TraVinh",
            "Value": "TraVinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TuyenQuang",
            "Value": "TuyenQuang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhLon",
            "Value": "VinhLon",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhPhu",
            "Value": "VinhPhu",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "YenBai",
            "Value": "YenBai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoTho",
            "Value": "CaoTho",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DaNang",
            "Value": "DaNang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Haiphong",
            "Value": "Haiphong",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Hanoi",
            "Value": "Hanoi",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoChiMinhCIty",
            "Value": "HoChiMinhCIty",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingShun",
            "Value": "NingShun",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NinhThuan",
            "Value": "NinhThuan",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingPing",
            "Value": "NingPing",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Qianjiang",
            "Value": "Qianjiang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          }
        ]
      },
      {
        "Key": "China",
        "Value": "China",
        "PageKey": 0,
        "List": [
          {
            "Key": "ChinaRepeat",
            "Value": "China",
            "PageKey": 0,
            "ParentKey": "China"
          }
        ]
      },
      {
        "Key": "UnitedStates",
        "Value": "UnitedStates",
        "PageKey": 0,
        "List": []
      },
      {"Key": "Russia", "Value": "Russia", "PageKey": 0, "List": []},
      {"Key": "Germany", "Value": "Germany", "PageKey": 0, "List": []},
      {
        "Key": "UnitedKingdom",
        "Value": "UnitedKingdom",
        "PageKey": 0,
        "List": []
      },
      {"Key": "France", "Value": "France", "PageKey": 0, "List": []},
      {"Key": "Australia", "Value": "Australia", "PageKey": 0, "List": []},
      {"Key": "Japan", "Value": "Japan", "PageKey": 0, "List": []},
      {"Key": "Korea", "Value": "Korea", "PageKey": 0, "List": []},
      {"Key": "Laos", "Value": "Laos", "PageKey": 0, "List": []},
      {"Key": "Cambodia", "Value": "Cambodia", "PageKey": 0, "List": []},
      {"Key": "Myanmar", "Value": "Myanmar", "PageKey": 0, "List": []},
      {"Key": "Thailand", "Value": "Thailand", "PageKey": 0, "List": []},
      {"Key": "Malaysia", "Value": "Malaysia", "PageKey": 0, "List": []},
      {"Key": "Singapore", "Value": "Singapore", "PageKey": 0, "List": []},
      {
        "Key": "OtherCountries",
        "Value": "OtherCountries",
        "PageKey": 0,
        "List": []
      }
    ]
  },
  {
    'program': [
      {"Key": "Motion", "Value": "Luyện tập Y", "PageKey": 0, "List": []},
      {"Key": "Party", "Value": "Tiệc mèo đêm", "PageKey": 0, "List": []},
      {"Key": "Foodie", "Value": "Tôi ăn", "PageKey": 0, "List": []},
      {"Key": "Movie", "Value": "Xem phim", "PageKey": 0, "List": []},
      {"Key": "Game", "Value": "Chơi một trò chơi", "PageKey": 0, "List": []},
      {"Key": "Travel", "Value": "Đi với bạn", "PageKey": 0, "List": []},
      {"Key": "Chat", "Value": "Lianmai trò chuyện", "PageKey": 0, "List": []},
      {"Key": "Other", "Value": "Khác", "PageKey": 0, "List": []}
    ],
    'lovePeople': [
      {"Key": "Face", "Value": "Nhìn mặt đi", "PageKey": 0, "List": []},
      {"Key": "Interesting", "Value": "thú vị", "PageKey": 0, "List": []},
      {"Key": "LocalTyrant", "Value": "Lão Sa Đà", "PageKey": 0, "List": []},
      {"Key": "Love", "Value": "Hãy yêu em", "PageKey": 0, "List": []},
      {
        "Key": "Feel",
        "Value": "Hãy nhìn vào cảm giác",
        "PageKey": 0,
        "List": []
      },
      {"Key": "Indifferent", "Value": "Khác", "PageKey": 0, "List": []}
    ],
    'job': [
      {
        "Key": "Information",
        "Value": "Công nghệ thông tin",
        "PageKey": 0,
        "List": [
          {
            "Key": "Internet",
            "Value": "Internet",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "IT",
            "Value": "IT",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Operate",
            "Value": "Hoạt động điện thoại",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "NetworkGame",
            "Value": "Trò chơi mạng",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Communication",
            "Value": "Truyền thông",
            "PageKey": 0,
            "ParentKey": "Information"
          }
        ]
      },
      {
        "Key": "Financial",
        "Value": "Công ty bảo hiểm",
        "PageKey": 0,
        "List": [
          {
            "Key": "Investment",
            "Value": "Đầu",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "StockFund",
            "Value": "Quỹ cổ phiếu",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Insurance",
            "Value": "Bảo hiểm",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Bank",
            "Value": "Mở",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "TrustGuarantee",
            "Value": "Bảo đảm tín dụng",
            "PageKey": 0,
            "ParentKey": "Financial"
          }
        ]
      },
      {
        "Key": "CommercialServices",
        "Value": "Dịch vụ kinh doanh",
        "PageKey": 0,
        "List": [
          {
            "Key": "Consultation",
            "Value": "Tư vấn",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Individual",
            "Value": "Tự làm chủ",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Cosmetology",
            "Value": "Thẩm mỹ viện",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Decoration",
            "Value": "Cải tạo và trang trí",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Detective",
            "Value": "Thám tử.",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "EstateManagement",
            "Value": "Quản lý đất",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "RealEstate",
            "Value": "Bất động sản",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Car",
            "Value": "xe hơi",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Trade",
            "Value": "buôn bán",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "LeisureTime",
            "Value": "Giải lao",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "HotelCatering",
            "Value": "Khách sạn Name",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Travel",
            "Value": "chuyến du lịch",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          }
        ]
      },
      {
        "Key": "Make",
        "Value": "Kỹ sư sản xuất",
        "PageKey": 0,
        "List": [
          {
            "Key": "Architecture",
            "Value": "Kiến",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "CivilEngineering",
            "Value": "Công cụ",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Mechanics",
            "Value": "Xưởng sản xuất",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {"Key": "Energy", "Value": "năng", "PageKey": 0, "ParentKey": "Make"},
          {
            "Key": "Clothing",
            "Value": "vải",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Food",
            "Value": "thức ăn",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Biomedicine",
            "Value": "Khoa học sinh",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Electronics",
            "Value": "Điện",
            "PageKey": 0,
            "ParentKey": "Make"
          }
        ]
      },
      {
        "Key": "Transportation",
        "Value": "Giao thông vận tải",
        "PageKey": 0,
        "List": [
          {
            "Key": "Aviation",
            "Value": "hàng không",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Railway",
            "Value": "Tuyến",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Logistics",
            "Value": "Chuyển hóa",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Traffic",
            "Value": "Vận chuyển cộng",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "ShippingShips",
            "Value": "Tàu vận tải",
            "PageKey": 0,
            "ParentKey": "Transportation"
          }
        ]
      },
      {
        "Key": "CulturalMedia",
        "Value": "Truyền thông văn hóa",
        "PageKey": 0,
        "List": [
          {
            "Key": "MediaPublishing",
            "Value": "Nhà xuất bản phương tiện",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Photography",
            "Value": "Ảnh",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Exhibition",
            "Value": "Hội chợ Quan hệ",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Comic",
            "Value": "Truyện",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Originality",
            "Value": "Tạo hóa quảng cáo",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Spread",
            "Value": "Truyền thuyết văn hóa",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Design",
            "Value": "thiết kế",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          }
        ]
      },
      {
        "Key": "EntertainmentSports",
        "Value": "Thể thao",
        "PageKey": 0,
        "List": [
          {
            "Key": "Model",
            "Value": "Mẫu",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Music",
            "Value": "Âm",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "SportsSports",
            "Value": "Thể thao",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Movies",
            "Value": "Phim",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          }
        ]
      },
      {
        "Key": "PublicUtilities",
        "Value": "Công ty",
        "PageKey": 0,
        "List": [
          {
            "Key": "PublicWelfare",
            "Value": "Phúc lợi xã hội",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Speak",
            "Value": "Nghiên cứu khoa học",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "GovernmentOrgans",
            "Value": "Nội tạng chính phủ",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Education",
            "Value": "giáo dục",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Law",
            "Value": "Luật",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "MedicalCare",
            "Value": "Y tế",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          }
        ]
      },
      {
        "Key": "Student",
        "Value": "Học sinh",
        "PageKey": 0,
        "List": [
          {
            "Key": "PuPils",
            "Value": "Học sinh",
            "PageKey": 0,
            "ParentKey": "Student"
          }
        ]
      },
      {
        "Key": "Nothing",
        "Value": "không",
        "PageKey": 0,
        "List": [
          {
            "Key": "NotHave",
            "Value": "không",
            "PageKey": 0,
            "ParentKey": "Nothing"
          }
        ]
      }
    ],
    'city': [
      {
        "Key": "VietNam",
        "Value": "Việt Nam",
        "PageKey": 0,
        "List": [
          {
            "Key": "AnGiang",
            "Value": "An Giang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacGiang",
            "Value": "Bắc Giang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacCan",
            "Value": "Bắc Cạn",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacLieu",
            "Value": "Bạc Liêu",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BeiNing",
            "Value": "Bắc Ninh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BaRiaVungTau",
            "Value": "Bà Rịa- Vũng Tàu",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BenTre",
            "Value": "Bến Tre",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BinhDinh",
            "Value": "Bình Định",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingYang",
            "Value": "Bình Dương",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingFu",
            "Value": "Bình Phước",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaMau",
            "Value": "Cà Mau",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoBang",
            "Value": "Cao Bằng",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DeLe",
            "Value": "Đà Lạt",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DeNong",
            "Value": "Đắc Nông",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DienBien",
            "Value": "Điện Biên",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongNai",
            "Value": "Đồng Nai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongThap",
            "Value": "Đồng Tháp",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "GiaLai",
            "Value": "Gia Lai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaGiang",
            "Value": "Hà Giang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaiDuang",
            "Value": "Hải Dương",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Henan",
            "Value": "Hà Nam",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaTinh",
            "Value": "Hà Tĩnh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoaBinh",
            "Value": "Hòa Bình",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HouJiang",
            "Value": "Hậu Giang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Xingan",
            "Value": "Hưng Yên",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KhanhHo",
            "Value": "Khánh Hòa",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "JianJiang",
            "Value": "Kiên Giang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KonTum",
            "Value": "Kon Tum",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaiChua",
            "Value": "Lai Châu",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LamDong",
            "Value": "Lâm Đồng",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LangSon",
            "Value": "Lạng Sơn",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaoCai",
            "Value": "Lào Cai",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LongAn",
            "Value": "Long An",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NamDinh",
            "Value": "Nam Định",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NgheAn",
            "Value": "Nghệ An",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "FuShou",
            "Value": "Phú Thọ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PhuYen",
            "Value": "Phú Yên",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangBinh",
            "Value": "Quảng Bình",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNam",
            "Value": "Quảng Nam",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNgai",
            "Value": "Quảng Ngãi",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNinh",
            "Value": "Quảng Ninh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangTri",
            "Value": "Quảng Trị",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SocTrang",
            "Value": "Sóc Trăng",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SonLa",
            "Value": "Sơn La",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TayNinh",
            "Value": "Tây Ninh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiBinh",
            "Value": "Thái Bình",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiNguyen",
            "Value": "Thái Nguyên",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThanhHoa",
            "Value": "Thanh Hóa",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThuaThienHue",
            "Value": "Thừa Thiên- Huế",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TraVinh",
            "Value": "Trà Vinh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TuyenQuang",
            "Value": "Tuyên Quang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhLon",
            "Value": "Vĩnh Long",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhPhu",
            "Value": "Vĩnh Phúc",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "YenBai",
            "Value": "Yên Bái",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoTho",
            "Value": "Cần Thơ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DaNang",
            "Value": "Đà Nẵng",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Haiphong",
            "Value": "Hải Phòng",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Hanoi",
            "Value": "Hà Nội",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoChiMinhCIty",
            "Value": "Hồ Chí Minh",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NinhThuan",
            "Value": "Bình Thuận",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingShun",
            "Value": "Ninh Thuận",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingPing",
            "Value": "Ninh Bình",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Qianjiang",
            "Value": "Tiền Giang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          }
        ]
      },
      {
        "Key": "China",
        "Value": "Trung quốc",
        "PageKey": 0,
        "List": [
          {
            "Key": "ChinaRepeat",
            "Value": "Trung quốc",
            "PageKey": 0,
            "ParentKey": "China"
          },
        ]
      },
      {"Key": "UnitedStates", "Value": "Hoa Kỳ", "PageKey": 0, "List": []},
      {"Key": "Russia", "Value": "Nga", "PageKey": 0, "List": []},
      {"Key": "Germany", "Value": "Đức", "PageKey": 0, "List": []},
      {"Key": "UnitedKingdom", "Value": "Anh", "PageKey": 0, "List": []},
      {"Key": "France", "Value": "Pháp", "PageKey": 0, "List": []},
      {"Key": "Australia", "Value": "Úc", "PageKey": 0, "List": []},
      {"Key": "Japan", "Value": "Nhật Bản", "PageKey": 0, "List": []},
      {"Key": "Korea", "Value": "Hàn Quốc", "PageKey": 0, "List": []},
      {"Key": "Laos", "Value": "Lào", "PageKey": 0, "List": []},
      {"Key": "Cambodia", "Value": "Campuchia", "PageKey": 0, "List": []},
      {"Key": "Myanmar", "Value": "Myanmar", "PageKey": 0, "List": []},
      {"Key": "Thailand", "Value": "Thái Lan", "PageKey": 0, "List": []},
      {"Key": "Malaysia", "Value": "Malaysia", "PageKey": 0, "List": []},
      {"Key": "Singapore", "Value": "Singapore", "PageKey": 0, "List": []},
      {
        "Key": "OtherCountries",
        "Value": "Các nước khác",
        "PageKey": 0,
        "List": []
      }
    ]
  },
  {
    'program': [
      {"Key": "Motion", "Value": "健康運動", "PageKey": 0, "List": []},
      {"Key": "Party", "Value": "夜蒲聚會", "PageKey": 0, "List": []},
      {"Key": "Foodie", "Value": "我是吃貨", "PageKey": 0, "List": []},
      {"Key": "Movie", "Value": "看電影", "PageKey": 0, "List": []},
      {"Key": "Game", "Value": "玩遊戲", "PageKey": 0, "List": []},
      {"Key": "Travel", "Value": "結伴旅行", "PageKey": 0, "List": []},
      {"Key": "Chat", "Value": "連麥聊天", "PageKey": 0, "List": []},
      {"Key": "Other", "Value": "其他", "PageKey": 0, "List": []}
    ],
    'lovePeople': [
      {"Key": "Face", "Value": "看臉", "PageKey": 0, "List": []},
      {"Key": "Interesting", "Value": "有趣", "PageKey": 0, "List": []},
      {"Key": "LocalTyrant", "Value": "土豪", "PageKey": 0, "List": []},
      {"Key": "Love", "Value": "關愛我", "PageKey": 0, "List": []},
      {"Key": "Feel", "Value": "看感覺", "PageKey": 0, "List": []},
      {"Key": "Indifferent", "Value": "無所謂", "PageKey": 0, "List": []}
    ],
    'job': [
      {
        "Key": "Information",
        "Value": "資訊技術",
        "PageKey": 0,
        "List": [
          {
            "Key": "Internet",
            "Value": "互聯網",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "IT",
            "Value": "IT",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Operate",
            "Value": "電信運營",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "NetworkGame",
            "Value": "網路遊戲",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Communication",
            "Value": "通訊",
            "PageKey": 0,
            "ParentKey": "Information"
          }
        ]
      },
      {
        "Key": "Financial",
        "Value": "金融保險",
        "PageKey": 0,
        "List": [
          {
            "Key": "Investment",
            "Value": "投資",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "StockFund",
            "Value": "股票基金",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Insurance",
            "Value": "保險",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Bank",
            "Value": "銀行",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "TrustGuarantee",
            "Value": "信託擔保",
            "PageKey": 0,
            "ParentKey": "Financial"
          }
        ]
      },
      {
        "Key": "CommercialServices",
        "Value": "商業服務",
        "PageKey": 0,
        "List": [
          {
            "Key": "Consultation",
            "Value": "諮詢",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Individual",
            "Value": "個體經營",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Cosmetology",
            "Value": "美容美髮",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Decoration",
            "Value": "裝修裝潢",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Detective",
            "Value": "偵探",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "EstateManagement",
            "Value": "物業管理",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "RealEstate",
            "Value": "房地產",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Car",
            "Value": "汽車",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Trade",
            "Value": "貿易",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "LeisureTime",
            "Value": "休閒娛樂",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "HotelCatering",
            "Value": "酒店餐飲",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Travel",
            "Value": "旅遊",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          }
        ]
      },
      {
        "Key": "Make",
        "Value": "工程製造",
        "PageKey": 0,
        "List": [
          {
            "Key": "Architecture",
            "Value": "建築",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "CivilEngineering",
            "Value": "土木工程",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Mechanics",
            "Value": "機械製造",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {"Key": "Energy", "Value": "能源", "PageKey": 0, "ParentKey": "Make"},
          {"Key": "Clothing", "Value": "服裝", "PageKey": 0, "ParentKey": "Make"},
          {"Key": "Food", "Value": "食品", "PageKey": 0, "ParentKey": "Make"},
          {
            "Key": "Biomedicine",
            "Value": "生物醫學",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Electronics",
            "Value": "電子",
            "PageKey": 0,
            "ParentKey": "Make"
          }
        ]
      },
      {
        "Key": "Transportation",
        "Value": "交通運輸",
        "PageKey": 0,
        "List": [
          {
            "Key": "Aviation",
            "Value": "航空",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Railway",
            "Value": "鐵路",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Logistics",
            "Value": "物流運輸",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Traffic",
            "Value": "公共交通",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "ShippingShips",
            "Value": "航運船舶",
            "PageKey": 0,
            "ParentKey": "Transportation"
          }
        ]
      },
      {
        "Key": "CulturalMedia",
        "Value": "文化傳媒",
        "PageKey": 0,
        "List": [
          {
            "Key": "MediaPublishing",
            "Value": "媒體出版",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Photography",
            "Value": "攝影",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Exhibition",
            "Value": "公關會展",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Comic",
            "Value": "動漫",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Originality",
            "Value": "廣告創意",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Spread",
            "Value": "文化傳播",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Design",
            "Value": "設計",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          }
        ]
      },
      {
        "Key": "EntertainmentSports",
        "Value": "娛樂體育",
        "PageKey": 0,
        "List": [
          {
            "Key": "Model",
            "Value": "糢特",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Music",
            "Value": "音樂",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "SportsSports",
            "Value": "運動體育",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Movies",
            "Value": "影視",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          }
        ]
      },
      {
        "Key": "PublicUtilities",
        "Value": "公共事業",
        "PageKey": 0,
        "List": [
          {
            "Key": "PublicWelfare",
            "Value": "公益",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Speak",
            "Value": "科研",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "GovernmentOrgans",
            "Value": "政府機構",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Education",
            "Value": "教育",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Law",
            "Value": "法律",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "MedicalCare",
            "Value": "醫療",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          }
        ]
      },
      {
        "Key": "Student",
        "Value": "學生",
        "PageKey": 0,
        "List": [
          {"Key": "PuPils", "Value": "學生", "PageKey": 0, "ParentKey": "Student"}
        ]
      },
      {
        "Key": "Nothing",
        "Value": "無",
        "PageKey": 0,
        "List": [
          {"Key": "NotHave", "Value": "無", "PageKey": 0, "ParentKey": "Nothing"}
        ]
      }
    ],
    'city': [
      {
        "Key": "VietNam",
        "Value": "越南",
        "PageKey": 0,
        "List": [
          {
            "Key": "AnGiang",
            "Value": "安江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacGiang",
            "Value": "北江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacCan",
            "Value": "北件",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacLieu",
            "Value": "薄遼",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BeiNing",
            "Value": "北寧",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BaRiaVungTau",
            "Value": "巴地頭頓",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BenTre",
            "Value": "檳椥",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BinhDinh",
            "Value": "平定",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingYang",
            "Value": "平陽",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingFu",
            "Value": "平福",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NinhThuan",
            "Value": "平順",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "CaMau", "Value": "金甌", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "CaoBang",
            "Value": "高平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "DeLe", "Value": "得樂", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "DeNong",
            "Value": "得農",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DienBien",
            "Value": "奠邊",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongNai",
            "Value": "同奈",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongThap",
            "Value": "同塔",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "GiaLai",
            "Value": "嘉萊",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaGiang",
            "Value": "河江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaiDuang",
            "Value": "海陽",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "Henan", "Value": "河南", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "HaTinh",
            "Value": "河靜",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoaBinh",
            "Value": "和平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HouJiang",
            "Value": "後江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Xingan",
            "Value": "興安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KhanhHo",
            "Value": "慶和",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "JianJiang",
            "Value": "堅江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KonTum",
            "Value": "昆嵩",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaiChua",
            "Value": "萊州",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LamDong",
            "Value": "林同",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LangSon",
            "Value": "諒山",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaoCai",
            "Value": "老街",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LongAn",
            "Value": "隆安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NamDinh",
            "Value": "南定",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NgheAn",
            "Value": "乂安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingShun",
            "Value": "寧順",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "FuShou",
            "Value": "富壽",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PhuYen",
            "Value": "富安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangBinh",
            "Value": "廣平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNam",
            "Value": "廣南",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNgai",
            "Value": "廣義",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNinh",
            "Value": "廣寧",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangTri",
            "Value": "廣治",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SocTrang",
            "Value": "朔莊",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "SonLa", "Value": "山羅", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "TayNinh",
            "Value": "西寧",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiBinh",
            "Value": "太平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiNguyen",
            "Value": "太原",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThanhHoa",
            "Value": "清化",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThuaThienHue",
            "Value": "承天順化",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TraVinh",
            "Value": "茶榮",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TuyenQuang",
            "Value": "宣光",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhLon",
            "Value": "永隆",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhPhu",
            "Value": "永富",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "YenBai",
            "Value": "安沛",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoTho",
            "Value": "芹苴",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DaNang",
            "Value": "峴港",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Haiphong",
            "Value": "海防",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "Hanoi", "Value": "河内", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "HoChiMinhCIty",
            "Value": "胡志明市",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingPing",
            "Value": "甯平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Qianjiang",
            "Value": "前江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          }
        ]
      },
      {
        "Key": "China",
        "Value": "中國",
        "PageKey": 0,
        "List": [
          {
            "Key": "ChinaRepeat",
            "Value": "中國",
            "PageKey": 0,
            "ParentKey": "China"
          },
        ]
      },
      {"Key": "UnitedStates", "Value": "美國", "PageKey": 0, "List": []},
      {"Key": "Russia", "Value": "俄羅斯", "PageKey": 0, "List": []},
      {"Key": "Germany", "Value": "德國", "PageKey": 0, "List": []},
      {"Key": "UnitedKingdom", "Value": "英國", "PageKey": 0, "List": []},
      {"Key": "France", "Value": "法國", "PageKey": 0, "List": []},
      {"Key": "Australia", "Value": "澳大利亞", "PageKey": 0, "List": []},
      {"Key": "Japan", "Value": "日本", "PageKey": 0, "List": []},
      {"Key": "Korea", "Value": "韓國", "PageKey": 0, "List": []},
      {"Key": "Laos", "Value": "老撾", "PageKey": 0, "List": []},
      {"Key": "Cambodia", "Value": "柬埔寨", "PageKey": 0, "List": []},
      {"Key": "Myanmar", "Value": "緬甸", "PageKey": 0, "List": []},
      {"Key": "Thailand", "Value": "泰國", "PageKey": 0, "List": []},
      {"Key": "Malaysia", "Value": "馬來西亞", "PageKey": 0, "List": []},
      {"Key": "Singapore", "Value": "新加坡", "PageKey": 0, "List": []},
      {"Key": "OtherCountries", "Value": "其他國家", "PageKey": 0, "List": []}
    ],
  },
  {
    'program': [
      {"Key": "Motion", "Value": "健康运动", "PageKey": 0, "List": []},
      {"Key": "Party", "Value": "夜蒲聚会", "PageKey": 0, "List": []},
      {"Key": "Foodie", "Value": "我是吃货", "PageKey": 0, "List": []},
      {"Key": "Movie", "Value": "看电影", "PageKey": 0, "List": []},
      {"Key": "Game", "Value": "玩游戏", "PageKey": 0, "List": []},
      {"Key": "Travel", "Value": "结伴旅行", "PageKey": 0, "List": []},
      {"Key": "Chat", "Value": "连麦聊天", "PageKey": 0, "List": []},
      {"Key": "Other", "Value": "其他", "PageKey": 0, "List": []}
    ],
    'lovePeople': [
      {"Key": "Face", "Value": "看脸", "PageKey": 0, "List": []},
      {"Key": "Interesting", "Value": "有趣", "PageKey": 0, "List": []},
      {"Key": "LocalTyrant", "Value": "土豪", "PageKey": 0, "List": []},
      {"Key": "Love", "Value": "关爱我", "PageKey": 0, "List": []},
      {"Key": "Feel", "Value": "看感觉", "PageKey": 0, "List": []},
      {"Key": "Indifferent", "Value": "无所谓", "PageKey": 0, "List": []}
    ],
    'job': [
      {
        "Key": "Information",
        "Value": "信息技术",
        "PageKey": 0,
        "List": [
          {
            "Key": "Information",
            "Value": "通讯",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Internet",
            "Value": "互联网",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "IT",
            "Value": "IT",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Operate",
            "Value": "电信运营",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "NetworkGame",
            "Value": "网络游戏",
            "PageKey": 0,
            "ParentKey": "Information"
          }
        ]
      },
      {
        "Key": "Financial",
        "Value": "金融保险",
        "PageKey": 0,
        "List": [
          {
            "Key": "Investment",
            "Value": "投资",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "StockFund",
            "Value": "股票基金",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Insurance",
            "Value": "保险",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Bank",
            "Value": "银行",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "TrustGuarantee",
            "Value": "信托担保",
            "PageKey": 0,
            "ParentKey": "Financial"
          }
        ]
      },
      {
        "Key": "CommercialServices",
        "Value": "商业服务",
        "PageKey": 0,
        "List": [
          {
            "Key": "Consultation",
            "Value": "咨询",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Individual",
            "Value": "个体经营",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Cosmetology",
            "Value": "美容美发",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Decoration",
            "Value": "装修装潢",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Detective",
            "Value": "侦探",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "EstateManagement",
            "Value": "物业管理",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "RealEstate",
            "Value": "房地产",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Car",
            "Value": "汽车",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Trade",
            "Value": "贸易",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "LeisureTime",
            "Value": "休闲娱乐",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "HotelCatering",
            "Value": "酒店餐饮",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Travel",
            "Value": "旅游",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          }
        ]
      },
      {
        "Key": "Make",
        "Value": "工程制造",
        "PageKey": 0,
        "List": [
          {
            "Key": "Architecture",
            "Value": "建筑",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "CivilEngineering",
            "Value": "土木工程",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Mechanics",
            "Value": "机械制造",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {"Key": "Energy", "Value": "能源", "PageKey": 0, "ParentKey": "Make"},
          {"Key": "Clothing", "Value": "服装", "PageKey": 0, "ParentKey": "Make"},
          {"Key": "Food", "Value": "食品", "PageKey": 0, "ParentKey": "Make"},
          {
            "Key": "Biomedicine",
            "Value": "生物医学",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Electronics",
            "Value": "电子",
            "PageKey": 0,
            "ParentKey": "Make"
          }
        ]
      },
      {
        "Key": "Transportation",
        "Value": "交通运输",
        "PageKey": 0,
        "List": [
          {
            "Key": "Aviation",
            "Value": "航空",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Railway",
            "Value": "铁路",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Logistics",
            "Value": "物流运输",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Traffic",
            "Value": "公共交通",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "ShippingShips",
            "Value": "航运船舶",
            "PageKey": 0,
            "ParentKey": "Transportation"
          }
        ]
      },
      {
        "Key": "CulturalMedia",
        "Value": "文化传媒",
        "PageKey": 0,
        "List": [
          {
            "Key": "MediaPublishing",
            "Value": "媒体出版",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Photography",
            "Value": "摄影",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Exhibition",
            "Value": "公关会展",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Comic",
            "Value": "动漫",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Originality",
            "Value": "广告创意",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Spread",
            "Value": "文化传播",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Design",
            "Value": "设计",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          }
        ]
      },
      {
        "Key": "EntertainmentSports",
        "Value": "娱乐体育",
        "PageKey": 0,
        "List": [
          {
            "Key": "Model",
            "Value": "模特",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Music",
            "Value": "音乐",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "SportsSports",
            "Value": "运动体育",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Movies",
            "Value": "影视",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          }
        ]
      },
      {
        "Key": "PublicUtilities",
        "Value": "公共事业",
        "PageKey": 0,
        "List": [
          {
            "Key": "PublicWelfare",
            "Value": "公益",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Speak",
            "Value": "科研",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "GovernmentOrgans",
            "Value": "政府机构",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Education",
            "Value": "教育",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Law",
            "Value": "法律",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "MedicalCare",
            "Value": "医疗",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          }
        ]
      },
      {
        "Key": "Student",
        "Value": "学生",
        "PageKey": 0,
        "List": [
          {"Key": "PuPils", "Value": "学生", "PageKey": 0, "ParentKey": "Student"}
        ]
      },
      {
        "Key": "Nothing",
        "Value": "无",
        "PageKey": 0,
        "List": [
          {"Key": "NotHave", "Value": "无", "PageKey": 0, "ParentKey": "Nothing"}
        ]
      }
    ],
    'city': [
      {
        "Key": "VietNam",
        "Value": "越南",
        "PageKey": 0,
        "List": [
          {
            "Key": "AnGiang",
            "Value": "安江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacGiang",
            "Value": "北江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacCan",
            "Value": "北件",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacLieu",
            "Value": "薄辽",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BeiNing",
            "Value": "北宁",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BaRiaVungTau",
            "Value": "巴地头顿",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BenTre",
            "Value": "槟椥",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BinhDinh",
            "Value": "平定",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingYang",
            "Value": "平阳",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingFu",
            "Value": "平福",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NinhThuan",
            "Value": "平顺",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "CaMau", "Value": "金瓯", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "CaoBang",
            "Value": "高平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "DeLe", "Value": "得乐", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "DeNong",
            "Value": "得农",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DienBien",
            "Value": "奠边",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongNai",
            "Value": "同奈",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongThap",
            "Value": "同塔",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "GiaLai",
            "Value": "嘉莱",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaGiang",
            "Value": "河江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaiDuang",
            "Value": "海阳",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "Henan", "Value": "河南", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "HaTinh",
            "Value": "河静",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoaBinh",
            "Value": "和平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HouJiang",
            "Value": "后江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Xingan",
            "Value": "兴安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KhanhHo",
            "Value": "庆和",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "JianJiang",
            "Value": "坚江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KonTum",
            "Value": "昆嵩",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaiChua",
            "Value": "莱州",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LamDong",
            "Value": "林同",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LangSon",
            "Value": "谅山",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaoCai",
            "Value": "老街",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LongAn",
            "Value": "隆安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NamDinh",
            "Value": "南定",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NgheAn",
            "Value": "乂安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingShun",
            "Value": "宁顺",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "FuShou",
            "Value": "富寿",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PhuYen",
            "Value": "富安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangBinh",
            "Value": "广平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNam",
            "Value": "广南",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNgai",
            "Value": "广义",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNinh",
            "Value": "广宁",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangTri",
            "Value": "广治",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SocTrang",
            "Value": "朔庄",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "SonLa", "Value": "山罗", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "TayNinh",
            "Value": "西宁",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiBinh",
            "Value": "太平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiNguyen",
            "Value": "太原",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThanhHoa",
            "Value": "清化",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThuaThienHue",
            "Value": "承天顺化",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TraVinh",
            "Value": "茶荣",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TuyenQuang",
            "Value": "宣光",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhLon",
            "Value": "永隆",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhPhu",
            "Value": "永富",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "YenBai",
            "Value": "安沛",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoTho",
            "Value": "芹苴",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DaNang",
            "Value": "岘港",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Haiphong",
            "Value": "海防",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "Hanoi", "Value": "河内", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "HoChiMinhCIty",
            "Value": "胡志明市",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Qianjiang",
            "Value": "前江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingPing",
            "Value": "宁平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          }
        ]
      },
      {
        "Key": "China",
        "Value": "中国",
        "PageKey": 0,
        "List": [
          {
            "Key": "ChinaRepeat",
            "Value": "中国",
            "PageKey": 0,
            "ParentKey": "China"
          }
        ]
      },
      {"Key": "UnitedStates", "Value": "美国", "PageKey": 0, "List": []},
      {"Key": "Russia", "Value": "俄罗斯", "PageKey": 0, "List": []},
      {"Key": "Germany", "Value": "德国", "PageKey": 0, "List": []},
      {"Key": "UnitedKingdom", "Value": "英国", "PageKey": 0, "List": []},
      {"Key": "France", "Value": "法国", "PageKey": 0, "List": []},
      {"Key": "Australia", "Value": "澳大利亚", "PageKey": 0, "List": []},
      {"Key": "Japan", "Value": "日本", "PageKey": 0, "List": []},
      {"Key": "Korea", "Value": "韩国", "PageKey": 0, "List": []},
      {"Key": "Laos", "Value": "老挝", "PageKey": 0, "List": []},
      {"Key": "Cambodia", "Value": "柬甫寨", "PageKey": 0, "List": []},
      {"Key": "Myanmar", "Value": "缅甸", "PageKey": 0, "List": []},
      {"Key": "Thailand", "Value": "泰国", "PageKey": 0, "List": []},
      {"Key": "Malaysia", "Value": "马来西亚", "PageKey": 0, "List": []},
      {"Key": "Singapore", "Value": "新加坡", "PageKey": 0, "List": []},
      {"Key": "OtherCountries", "Value": "其他国家", "PageKey": 0, "List": []}
    ]
  },
  {
    'program': [
      {"Key": "Motion", "Value": "건강 운동", "PageKey": 0, "List": []},
      {"Key": "Party", "Value": "나이트 푸 파티", "PageKey": 0, "List": []},
      {"Key": "Foodie", "Value": "나는 먹고있다", "PageKey": 0, "List": []},
      {"Key": "Movie", "Value": "영화보기", "PageKey": 0, "List": []},
      {"Key": "Game", "Value": "게임하기", "PageKey": 0, "List": []},
      {"Key": "Travel", "Value": "함께 여행", "PageKey": 0, "List": []},
      {"Key": "Chat", "Value": "리안 마이 채팅", "PageKey": 0, "List": []},
      {"Key": "Other", "Value": "기타", "PageKey": 0, "List": []}
    ],
    'lovePeople': [
      {"Key": "Face", "Value": "얼굴을 봐", "PageKey": 0, "List": []},
      {"Key": "Interesting", "Value": "재미있는", "PageKey": 0, "List": []},
      {"Key": "LocalTyrant", "Value": "폭군", "PageKey": 0, "List": []},
      {"Key": "Love", "Value": "나를 돌 봐줘", "PageKey": 0, "List": []},
      {"Key": "Feel", "Value": "느낌을 참조하십시오", "PageKey": 0, "List": []},
      {"Key": "Indifferent", "Value": "상관 없습니다", "PageKey": 0, "List": []}
    ],
    'job': [
      {
        "Key": "Information",
        "Value": "정보 기술",
        "PageKey": 0,
        "List": [
          {
            "Key": "Information",
            "Value": "통신",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Internet",
            "Value": "인터넷",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "IT",
            "Value": "IT",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Operate",
            "Value": "통신 운영",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "NetworkGame",
            "Value": "온라인 게임",
            "PageKey": 0,
            "ParentKey": "Information"
          }
        ]
      },
      {
        "Key": "Financial",
        "Value": "금융 보험",
        "PageKey": 0,
        "List": [
          {
            "Key": "Investment",
            "Value": "투자",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "StockFund",
            "Value": "주식 기금",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Insurance",
            "Value": "보험",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Bank",
            "Value": "은행",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "TrustGuarantee",
            "Value": "신뢰 보장",
            "PageKey": 0,
            "ParentKey": "Financial"
          }
        ]
      },
      {
        "Key": "CommercialServices",
        "Value": "비즈니스 서비스",
        "PageKey": 0,
        "List": [
          {
            "Key": "Consultation",
            "Value": "컨설팅",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Individual",
            "Value": "자영업자",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Cosmetology",
            "Value": "미용실",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Decoration",
            "Value": "데코레이션",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Detective",
            "Value": "형사",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "EstateManagement",
            "Value": "재산 관리",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "RealEstate",
            "Value": "부동산",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Car",
            "Value": "자동차",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Trade",
            "Value": "무역",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "LeisureTime",
            "Value": "레저",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "HotelCatering",
            "Value": "호텔 케이터링",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Travel",
            "Value": "여행",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          }
        ]
      },
      {
        "Key": "Make",
        "Value": "엔지니어링 제조",
        "PageKey": 0,
        "List": [
          {
            "Key": "Architecture",
            "Value": "빌딩",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "CivilEngineering",
            "Value": "토목 공학",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Mechanics",
            "Value": "기계 제조",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {"Key": "Energy", "Value": "에너지", "PageKey": 0, "ParentKey": "Make"},
          {"Key": "Clothing", "Value": "의류", "PageKey": 0, "ParentKey": "Make"},
          {"Key": "Food", "Value": "음식", "PageKey": 0, "ParentKey": "Make"},
          {
            "Key": "Biomedicine",
            "Value": "생의학",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Electronics",
            "Value": "전자 제품",
            "PageKey": 0,
            "ParentKey": "Make"
          }
        ]
      },
      {
        "Key": "Transportation",
        "Value": "교통 수단",
        "PageKey": 0,
        "List": [
          {
            "Key": "Aviation",
            "Value": "항공",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Railway",
            "Value": "철도",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Logistics",
            "Value": "물류 운송",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Traffic",
            "Value": "대중 교통",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "ShippingShips",
            "Value": "배송 선",
            "PageKey": 0,
            "ParentKey": "Transportation"
          }
        ]
      },
      {
        "Key": "CulturalMedia",
        "Value": "문화 미디어",
        "PageKey": 0,
        "List": [
          {
            "Key": "MediaPublishing",
            "Value": "미디어 출판",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Photography",
            "Value": "사진",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Exhibition",
            "Value": "홍보 전시회",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Comic",
            "Value": "아니메",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Originality",
            "Value": "광고 아이디어",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Spread",
            "Value": "문화 커뮤니케이션",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Design",
            "Value": "디자인",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          }
        ]
      },
      {
        "Key": "EntertainmentSports",
        "Value": "엔터테인먼트 스포츠",
        "PageKey": 0,
        "List": [
          {
            "Key": "Model",
            "Value": "모형",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Music",
            "Value": "음악",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "SportsSports",
            "Value": "스포츠 스포츠",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Movies",
            "Value": "영화",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          }
        ]
      },
      {
        "Key": "PublicUtilities",
        "Value": "공공 시설",
        "PageKey": 0,
        "List": [
          {
            "Key": "PublicWelfare",
            "Value": "공공 복지",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Speak",
            "Value": "리서치",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "GovernmentOrgans",
            "Value": "정부 기관",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Education",
            "Value": "교육",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Law",
            "Value": "법",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "MedicalCare",
            "Value": "의료",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          }
        ]
      },
      {
        "Key": "Student",
        "Value": "학생",
        "PageKey": 0,
        "List": [
          {"Key": "PuPils", "Value": "학생", "PageKey": 0, "ParentKey": "Student"}
        ]
      },
      {
        "Key": "Nothing",
        "Value": "없음",
        "PageKey": 0,
        "List": [
          {
            "Key": "NotHave",
            "Value": "없음",
            "PageKey": 0,
            "ParentKey": "Nothing"
          }
        ]
      }
    ],
    'city': [
      {
        "Key": "VietNam",
        "Value": "베트남",
        "PageKey": 0,
        "List": [
          {
            "Key": "AnGiang",
            "Value": "안강",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacGiang",
            "Value": "북강",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacCan",
            "Value": "북부",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacLieu",
            "Value": "얇다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BeiNing",
            "Value": "북녕",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BaRiaVungTau",
            "Value": "무턱대고",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BenTre",
            "Value": "베트남의 지명",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BinhDinh",
            "Value": "평정하다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingYang",
            "Value": "평양",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingFu",
            "Value": "평복",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NinhThuan",
            "Value": "순조롭다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaMau",
            "Value": "저장 성",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoBang",
            "Value": "고평",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "DeLe", "Value": "즐기다", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "DeNong",
            "Value": "농사를 짓다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DienBien",
            "Value": "가장자리를 닦다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongNai",
            "Value": "어떻게",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongThap",
            "Value": "동탑",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "GiaLai",
            "Value": "가래",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaGiang",
            "Value": "강",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaiDuang",
            "Value": "해양",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "Henan", "Value": "하남", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "HaTinh",
            "Value": "강정",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoaBinh",
            "Value": "평화",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HouJiang",
            "Value": "후강",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Xingan",
            "Value": "흥안",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KhanhHo",
            "Value": "경합",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "JianJiang",
            "Value": "젠 장",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KonTum",
            "Value": "부피",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaiChua",
            "Value": "레주",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LamDong",
            "Value": "숲",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LangSon",
            "Value": "양산",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaoCai",
            "Value": "옛거리",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LongAn",
            "Value": "융안",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NamDinh",
            "Value": "남정",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NgheAn",
            "Value": "안정되다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingShun",
            "Value": "순종하다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "FuShou",
            "Value": "장수",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PhuYen",
            "Value": "부안",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangBinh",
            "Value": "광평",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNam",
            "Value": "광남",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNgai",
            "Value": "광의",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNinh",
            "Value": "광녕",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangTri",
            "Value": "널리 치료하다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SocTrang",
            "Value": "삭장",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "SonLa", "Value": "산라", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "TayNinh",
            "Value": "서녕",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiBinh",
            "Value": "태평",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiNguyen",
            "Value": "태원",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThanhHoa",
            "Value": "청산하다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThuaThienHue",
            "Value": "승천순화",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TraVinh",
            "Value": "차의 영광",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TuyenQuang",
            "Value": "선광",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhLon",
            "Value": "영영",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhPhu",
            "Value": "영부",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "YenBai",
            "Value": "편안하다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoTho",
            "Value": "미나리",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DaNang",
            "Value": "다낭",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Haiphong",
            "Value": "해방",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "Hanoi", "Value": "하내", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "HoChiMinhCIty",
            "Value": "호치명시",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingPing",
            "Value": "평온하다",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Qianjiang",
            "Value": "전강",
            "PageKey": 0,
            "ParentKey": "VietNam"
          }
        ]
      },
      {
        "Key": "China",
        "Value": "중국",
        "PageKey": 0,
        "List": [
          {
            "Key": "ChinaRepeat",
            "Value": "중국",
            "PageKey": 0,
            "ParentKey": "China"
          }
        ]
      },
      {"Key": "Russia", "Value": "러시아", "PageKey": 0, "List": []},
      {"Key": "Germany", "Value": "독일", "PageKey": 0, "List": []},
      {"Key": "UnitedKingdom", "Value": "영국", "PageKey": 0, "List": []},
      {"Key": "France", "Value": "프랑스", "PageKey": 0, "List": []},
      {"Key": "Australia", "Value": "오스트레일리아", "PageKey": 0, "List": []},
      {"Key": "Japan", "Value": "일본", "PageKey": 0, "List": []},
      {"Key": "Korea", "Value": "한국", "PageKey": 0, "List": []},
      {"Key": "Laos", "Value": "라오스", "PageKey": 0, "List": []},
      {"Key": "Cambodia", "Value": "청첩장", "PageKey": 0, "List": []},
      {"Key": "Myanmar", "Value": "미얀마", "PageKey": 0, "List": []},
      {"Key": "Thailand", "Value": "태국", "PageKey": 0, "List": []},
      {"Key": "Malaysia", "Value": "말레이시아", "PageKey": 0, "List": []},
      {"Key": "Singapore", "Value": "싱가포르", "PageKey": 0, "List": []},
      {"Key": "OtherCountries", "Value": "다른 나라", "PageKey": 0, "List": []},
      {"Key": "UnitedStates", "Value": "미국", "PageKey": 0, "List": []},
      {"Key": "HongKong", "Value": "홍콩, 중국", "PageKey": 0, "List": []},
      {"Key": "Taiwan", "Value": "대만, 중국", "PageKey": 0, "List": []}
    ]
  },
  {
    'program': [
      {"Key": "Motion", "Value": "健康運動", "PageKey": 0, "List": []},
      {"Key": "Party", "Value": "ナイトプーパーティー", "PageKey": 0, "List": []},
      {"Key": "Foodie", "Value": "私は食べています", "PageKey": 0, "List": []},
      {"Key": "Movie", "Value": "映画を見る", "PageKey": 0, "List": []},
      {"Key": "Game", "Value": "ゲームをする", "PageKey": 0, "List": []},
      {"Key": "Travel", "Value": "一緒に旅行する", "PageKey": 0, "List": []},
      {"Key": "Chat", "Value": "リアンマイチャット", "PageKey": 0, "List": []},
      {"Key": "Other", "Value": "その他", "PageKey": 0, "List": []}
    ],
    'lovePeople': [
      {"Key": "Face", "Value": "顔を見て", "PageKey": 0, "List": []},
      {"Key": "Interesting", "Value": "おもしろい", "PageKey": 0, "List": []},
      {"Key": "LocalTyrant", "Value": "暴君", "PageKey": 0, "List": []},
      {"Key": "Love", "Value": "私の世話", "PageKey": 0, "List": []},
      {"Key": "Feel", "Value": "気持ちを見る", "PageKey": 0, "List": []},
      {"Key": "Indifferent", "Value": "関係ない", "PageKey": 0, "List": []}
    ],
    'job': [
      {
        "Key": "Information",
        "Value": "情報技術",
        "PageKey": 0,
        "List": [
          {
            "Key": "Information",
            "Value": "コミュニケーション",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Internet",
            "Value": "インターネット",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "IT",
            "Value": "IT",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "Operate",
            "Value": "電気通信事業",
            "PageKey": 0,
            "ParentKey": "Information"
          },
          {
            "Key": "NetworkGame",
            "Value": "オンラインゲーム",
            "PageKey": 0,
            "ParentKey": "Information"
          }
        ]
      },
      {
        "Key": "Financial",
        "Value": "金融保険",
        "PageKey": 0,
        "List": [
          {
            "Key": "Investment",
            "Value": "投資",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "StockFund",
            "Value": "株式ファンド",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Insurance",
            "Value": "保険",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "Bank",
            "Value": "銀行",
            "PageKey": 0,
            "ParentKey": "Financial"
          },
          {
            "Key": "TrustGuarantee",
            "Value": "信頼保証",
            "PageKey": 0,
            "ParentKey": "Financial"
          }
        ]
      },
      {
        "Key": "CommercialServices",
        "Value": "ビジネスサービス",
        "PageKey": 0,
        "List": [
          {
            "Key": "Consultation",
            "Value": "コンサルティング",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Individual",
            "Value": "自営業者",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Cosmetology",
            "Value": "美容室",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Decoration",
            "Value": "デコレーション",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Detective",
            "Value": "探偵",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "EstateManagement",
            "Value": "財産管理",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "RealEstate",
            "Value": "不動産",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Car",
            "Value": "車",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Trade",
            "Value": "貿易",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "LeisureTime",
            "Value": "余暇",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "HotelCatering",
            "Value": "ホテルケータリング",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          },
          {
            "Key": "Travel",
            "Value": "旅行",
            "PageKey": 0,
            "ParentKey": "CommercialServices"
          }
        ]
      },
      {
        "Key": "Make",
        "Value": "エンジニアリング製造",
        "PageKey": 0,
        "List": [
          {
            "Key": "Architecture",
            "Value": "建物",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "CivilEngineering",
            "Value": "土木",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Mechanics",
            "Value": "機械製造",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Energy",
            "Value": "エネルギー",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {"Key": "Clothing", "Value": "服装", "PageKey": 0, "ParentKey": "Make"},
          {"Key": "Food", "Value": "食べ物", "PageKey": 0, "ParentKey": "Make"},
          {
            "Key": "Biomedicine",
            "Value": "生物医学",
            "PageKey": 0,
            "ParentKey": "Make"
          },
          {
            "Key": "Electronics",
            "Value": "エレクトロニクス",
            "PageKey": 0,
            "ParentKey": "Make"
          }
        ]
      },
      {
        "Key": "Transportation",
        "Value": "交通機関",
        "PageKey": 0,
        "List": [
          {
            "Key": "Aviation",
            "Value": "航空",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Railway",
            "Value": "鉄道",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Logistics",
            "Value": "物流輸送",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "Traffic",
            "Value": "公共交通機関",
            "PageKey": 0,
            "ParentKey": "Transportation"
          },
          {
            "Key": "ShippingShips",
            "Value": "発送船",
            "PageKey": 0,
            "ParentKey": "Transportation"
          }
        ]
      },
      {
        "Key": "CulturalMedia",
        "Value": "文化メディア",
        "PageKey": 0,
        "List": [
          {
            "Key": "MediaPublishing",
            "Value": "メディア出版",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Photography",
            "Value": "写真撮影",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Exhibition",
            "Value": "PR展",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Comic",
            "Value": "アニメ",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Originality",
            "Value": "広告のアイデア",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Spread",
            "Value": "文化的コミュニケーション",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          },
          {
            "Key": "Design",
            "Value": "設計",
            "PageKey": 0,
            "ParentKey": "CulturalMedia"
          }
        ]
      },
      {
        "Key": "EntertainmentSports",
        "Value": "エンターテインメントスポーツ",
        "PageKey": 0,
        "List": [
          {
            "Key": "Model",
            "Value": "モデル",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Music",
            "Value": "ミュージック",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "SportsSports",
            "Value": "スポーツスポーツ",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          },
          {
            "Key": "Movies",
            "Value": "ムービー",
            "PageKey": 0,
            "ParentKey": "EntertainmentSports"
          }
        ]
      },
      {
        "Key": "PublicUtilities",
        "Value": "公益事業",
        "PageKey": 0,
        "List": [
          {
            "Key": "PublicWelfare",
            "Value": "公益",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Speak",
            "Value": "リサーチ",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "GovernmentOrgans",
            "Value": "政府機関",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Education",
            "Value": "教育",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "Law",
            "Value": "法律",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          },
          {
            "Key": "MedicalCare",
            "Value": "メディカル",
            "PageKey": 0,
            "ParentKey": "PublicUtilities"
          }
        ]
      },
      {
        "Key": "Student",
        "Value": "学生",
        "PageKey": 0,
        "List": [
          {"Key": "PuPils", "Value": "学生", "PageKey": 0, "ParentKey": "Student"}
        ]
      },
      {
        "Key": "Nothing",
        "Value": "なし",
        "PageKey": 0,
        "List": [
          {
            "Key": "NotHave",
            "Value": "なし",
            "PageKey": 0,
            "ParentKey": "Nothing"
          }
        ]
      }
    ],
    'city': [
      {
        "Key": "VietNam",
        "Value": "ベトナム",
        "PageKey": 0,
        "List": [
          {
            "Key": "AnGiang",
            "Value": "安江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacGiang",
            "Value": "北江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacCan",
            "Value": "ノースウェア",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BacLieu",
            "Value": "ボリアオ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BeiNing",
            "Value": "ビーニング",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BaRiaVungTau",
            "Value": "バディ・ブンタウ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BenTre",
            "Value": "キンマ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "BinhDinh",
            "Value": "落ち着いた",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingYang",
            "Value": "ビンズオン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PingFu",
            "Value": "平福",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NinhThuan",
            "Value": "平顺",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaMau",
            "Value": "ジン・ヤン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoBang",
            "Value": "ゲーピング",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "DeLe", "Value": "デレ", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "DeNong",
            "Value": "デノン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DienBien",
            "Value": "モビアン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongNai",
            "Value": "ドンナイ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DongThap",
            "Value": "ドンタ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "GiaLai",
            "Value": "ジャライ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaGiang",
            "Value": "川",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HaiDuang",
            "Value": "海陽",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "Henan", "Value": "河南", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "HaTinh",
            "Value": "彼はジン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoaBinh",
            "Value": "平和",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HouJiang",
            "Value": "後江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Xingan",
            "Value": "兴安",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KhanhHo",
            "Value": "和を祝う",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "JianJiang",
            "Value": "堅江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "KonTum",
            "Value": "くんソング",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaiChua",
            "Value": "i州",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LamDong",
            "Value": "林通",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LangSon",
            "Value": "Lang山",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LaoCai",
            "Value": "古い通り",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "LongAn",
            "Value": "リュウガン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NamDinh",
            "Value": "南定",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NgheAn",
            "Value": "ルアン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingShun",
            "Value": "寧順",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "FuShou",
            "Value": "ふしょう",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "PhuYen",
            "Value": "フアン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangBinh",
            "Value": "広平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNam",
            "Value": "広南",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNgai",
            "Value": "广义",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangNinh",
            "Value": "広寧",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "QuangTri",
            "Value": "広志",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "SocTrang",
            "Value": "ソチュアン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {"Key": "SonLa", "Value": "山", "PageKey": 0, "ParentKey": "VietNam"},
          {
            "Key": "TayNinh",
            "Value": "西寧",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiBinh",
            "Value": "タイピン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThaiNguyen",
            "Value": "太原",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThanhHoa",
            "Value": "清華",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "ThuaThienHue",
            "Value": "チェンティアンフエ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TraVinh",
            "Value": "チャロン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "TuyenQuang",
            "Value": "Xuanguang",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhLon",
            "Value": "永隆",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "VinhPhu",
            "Value": "永福",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "YenBai",
            "Value": "アンペ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "CaoTho",
            "Value": "カントー",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "DaNang",
            "Value": "ダナン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Haiphong",
            "Value": "ハイフォン",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Hanoi",
            "Value": "ハノイ",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "HoChiMinhCIty",
            "Value": "ホーチミン市",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "NingPing",
            "Value": "寧平",
            "PageKey": 0,
            "ParentKey": "VietNam"
          },
          {
            "Key": "Qianjiang",
            "Value": "前江",
            "PageKey": 0,
            "ParentKey": "VietNam"
          }
        ]
      },
      {
        "Key": "China",
        "Value": "中国",
        "PageKey": 0,
        "List": [
          {
            "Key": "ChinaRepeat",
            "Value": "中国",
            "PageKey": 0,
            "ParentKey": "China"
          }
        ]
      },
      {"Key": "Russia", "Value": "ロシア", "PageKey": 0, "List": []},
      {"Key": "Germany", "Value": "ドイツ", "PageKey": 0, "List": []},
      {"Key": "UnitedKingdom", "Value": "イギリス", "PageKey": 0, "List": []},
      {"Key": "France", "Value": "フランス", "PageKey": 0, "List": []},
      {"Key": "Australia", "Value": "オーストラリア", "PageKey": 0, "List": []},
      {"Key": "Japan", "Value": "日本", "PageKey": 0, "List": []},
      {"Key": "Korea", "Value": "韓国", "PageKey": 0, "List": []},
      {"Key": "Laos", "Value": "ラオス", "PageKey": 0, "List": []},
      {"Key": "Cambodia", "Value": "カンボジアの村", "PageKey": 0, "List": []},
      {"Key": "Myanmar", "Value": "ミャンマー", "PageKey": 0, "List": []},
      {"Key": "Thailand", "Value": "タイ", "PageKey": 0, "List": []},
      {"Key": "Malaysia", "Value": "マレーシア", "PageKey": 0, "List": []},
      {"Key": "Singapore", "Value": "シンガポール", "PageKey": 0, "List": []},
      {"Key": "OtherCountries", "Value": "その他の国", "PageKey": 0, "List": []},
      {"Key": "UnitedStates", "Value": "アメリカ", "PageKey": 0, "List": []},
      {"Key": "HongKong", "Value": "香港、中国", "PageKey": 0, "List": []},
      {"Key": "Taiwan", "Value": "台湾、中国", "PageKey": 0, "List": []},
      {"Key": "Macao", "Value": "マカオ、中国", "PageKey": 0, "List": []}
    ]
  }
];

class WebData {
  //私有构造函数
  WebData._internal();

  Locale locale = Locale("en", "US");
  //保存单例
  static WebData _singleton = new WebData._internal();

  //工厂构造函数
  factory WebData() => _singleton;
  //职业
  Map<String, String> professionCate = {};
  Map<String, dynamic> professionList = {};

  //约会节目
  Map<String, String> dateItemMap = {};

  //期待对象
  Map<String, String> loverPeopleMap = {};

  //约会范围
  Map<String, String> provinces = {};
  Map<String, dynamic> cities = {};

  //身高数据
  Map<String, String> heightData = {
    "0": "不显示",
  };
  Map<String, dynamic> heightListData = {
    '0': {
      "100000": {"name": 'test'}
    },
  };

  //银行数据
  Map<String, String> bankData = {};
  Map<String, dynamic> bankListData = {};

  //体重数据
  Map<String, String> weightData = {
    "0": "不显示",
  };

  Map<String, dynamic> weightListData = {
    '0': {
      "100000": {"name": 'test'}
    },
  };

  Map<int, String> res = {};
  //获取时间范围
  Map<int, String> getDateTime(BuildContext context) {
    res[1] = I18n.of(context).morning;
    res[2] = I18n.of(context).noon;
    res[3] = I18n.of(context).afternoon;
    res[4] = I18n.of(context).night;
    res[5] = I18n.of(context).overnight;
    res[6] = I18n.of(context).all_day;
    return res;
  }

  String getDateString(BuildContext context, int type) {
    String res;
    switch (type) {
      case 1:
        res = I18n.of(context).morning;
        break;
      case 2:
        res = I18n.of(context).noon;
        break;
      case 3:
        res = I18n.of(context).afternoon;
        break;
      case 4:
        res = I18n.of(context).night;
        break;
      case 5:
        res = I18n.of(context).overnight;
        break;
      case 6:
        res = I18n.of(context).all_day;
        break;
      default:
    }
    return res;
  }

  //检测是否超时
  bool testTimeOver(int type, String time) {
    //如果是一整天直接返回
    //上午  [0 ,11)
    //中午  [11, 13)
    //下午  [13,17)
    //晚上  [17,20)
    //通宵  [20,24)
    var list = time.split('-');
    int year = int.parse(list[0]);
    int month = int.parse(list[1]);
    int day = int.parse(list[2]);
    var now = DateTime.now();
    switch (type) {
      case 1:
        return now.isAfter(DateTime(year, month, day, 11));
      case 2:
        return now.isAfter(DateTime(year, month, day, 13));
      case 3:
        return now.isAfter(DateTime(year, month, day, 17));
      case 4:
        return now.isAfter(DateTime(year, month, day, 20));
      case 5:
        return now.isAfter(DateTime(year, month, day, 24));
        break;
      case 6:
        return false;
      default:
        return true;
    }
  }

  deleteDemain(String url) {
    for (int i = 0; i < 3; i++) {
      int index = url.indexOf('/');
      url = url.substring(index + 1);
    }
    return url;
  }

  getDistanceString(double distance) {
    return (distance > 1000
        ? ('${(distance ~/ 1000).toInt()}km')
        : '${distance.toInt()}m');
  }

  changeLoaction(int code) {
    var location;
    String str;
    switch (code) {
      case LanguageType.English:
        location = Locale("en", "US");
        str = 'Hidden';
        break;
      case LanguageType.Vietnamese:
        location = Locale("vi", "VN");
        str = 'Không hiển thị';
        break;
      case LanguageType.TraditionalChinese:
        location = Locale("zh", "HK");
        str = '不顯示';
        break;
      case LanguageType.SimplifiedChinese:
        location = Locale("zh", "CN");
        str = '不显示';
        break;
      case LanguageType.Korean:
        location = Locale("ko", "KR");
        str = '표시하지 않음';
        break;
      case LanguageType.Japanese:
        location = Locale("ja", "JP");
        str = '表示しない';
        break;
      default:
        location = Locale("en", "US");
        str = 'Hidden';
        break;
    }
    locale = location;
    heightData['0'] = str;
    weightData['0'] = str;
    I18n.onLocaleChanged(locale);
  }

  //获取评价值
  getEvaluation(BuildContext context, String str) {
    if (str == '') {
      return '';
    }
    var res = '';
    List list = str.split('|');
    list.forEach((f) {
      var temp = '';
      switch (f) {
        case 'Friendly':
          temp = I18n.of(context).friendly;
          break;
        case 'Interesting':
          temp = I18n.of(context).interesting;
          break;
        case 'Refreshing':
          temp = I18n.of(context).readily;
          break;
        case 'Patience':
          temp = I18n.of(context).patient;
          break;
        case 'Hello':
          temp = I18n.of(context).lie;
          break;
        case 'Unfriendly':
          temp = I18n.of(context).unfriendly;
          break;
        default:
      }
      res += res == '' ? temp : ('/' + temp);
    });
    return res;
  }

  //获取节目名字
  getProgramName(BuildContext context, int type) {
    String res = '';
    switch (type) {
      case 0:
        res = I18n.of(context).healthy_exercise;
        break;
      case 1:
        res = I18n.of(context).night_party;
        break;
      case 2:
        res = I18n.of(context).gourmet_party;
        break;
      case 3:
        res = I18n.of(context).watch_movie;
        break;
      case 4:
        res = I18n.of(context).play_games;
        break;
      case 5:
        res = I18n.of(context).travel_together;
        break;
      case 6:
        res = I18n.of(context).voice_chat;
        break;
      case 7:
        res = I18n.of(context).other;
        break;
    }
    return res;
  }

  //获取星座
  getConstellation(BuildContext context, type) {
    if (type == null || type == '') return "";
    if (type is String) type = int.parse(type);

    String res = '';
    switch (type) {
      case 1:
        res = I18n.of(context).aquarius;
        break;
      case 2:
        res = I18n.of(context).pisces;
        break;
      case 3:
        res = I18n.of(context).aries;
        break;
      case 4:
        res = I18n.of(context).taurus;
        break;
      case 5:
        res = I18n.of(context).gemini;
        break;
      case 6:
        res = I18n.of(context).cancer;
        break;
      case 7:
        res = I18n.of(context).leo;
        break;
      case 8:
        res = I18n.of(context).virgo;
        break;
      case 9:
        res = I18n.of(context).libra;
        break;
      case 10:
        res = I18n.of(context).scorpio;
        break;
      case 11:
        res = I18n.of(context).sagittarius;
        break;
      case 12:
        res = I18n.of(context).capricorn;
        break;
      default:
    }
    return res;
  }

  //获取职业名称
  getProffesionName(String str) {
    if (str == '' || str == null) return '';
    var result = '';
    try {
      var list = str.split('-');
      result = professionList[list[0]][list[1]];
    } catch (e) {}
    return result;
  }

  getProgram(String str) {
    if (str == '' || str == null) return str;
    var list = str.split(',');
    String result = '';
    list.forEach((item) {
      result += result == '' ? dateItemMap[item] : '/${dateItemMap[item]}';
    });
    return result;
  }

  //获取期待对象
  getLovePeople(String str) {
    if (str == '' || str == null) return str;
    var list = str.split(',');
    String result = '';
    list.forEach((item) {
      result +=
          result == '' ? loverPeopleMap[item] : '/${loverPeopleMap[item]}';
    });
    return result;
  }

  formatTimeString(int second) {
    if (second < 10) {
      return '00:0$second';
    }
    if (second < 60) {
      return '00:$second';
    }
  }

  getCity(String city) {
    if (city == '' || city == null) city = "HoChiMinhCIty";
    return getDateRange("VietNam-" + city);
  }

  getCountry(String country) {
    if (country == '' || country == null) country = "VietNam";
    return provinces[country];
  }

  getDateRange(String str) {
    if (str == '' || str == null) return '';
    var list = str.split(',');
    String result = '';
//    print('cities length ${cities.length}');
//    print('cities all ${cities}');
//    print('cities length ${cities['China']}');
    list.forEach((item) {
      var city = item.split('-');
      Map map = cities[city[0]];

      ///ios点击上传相册回来后 中国的数据会丢失
      if (!map.containsKey(city[1])) {
        result = getChina();
        return;
      }
      result += result == ''
          ? cities[city[0]][city[1]]
          : '/${cities[city[0]][city[1]]}';
    });
    return result;
  }

  getChina() {
    int code = UserData().language;
    String str;
    switch (code) {
      case LanguageType.English:
        str = 'China';
        break;
      case LanguageType.Vietnamese:
        str = 'Trung quốc';
        break;
      case LanguageType.TraditionalChinese:
        str = '中國';
        break;
      case LanguageType.SimplifiedChinese:
        str = '中国';
        break;
      case LanguageType.Korean:
        str = '중국';
        break;
      case LanguageType.Japanese:
        str = '中国';
        break;
      default:
        str = 'China';
        break;
    }
    return str;
  }

  bool isThreeDayAgo(String loginStr) {
    var temp = DateTime.parse(loginStr);
    var logindate = DateTime.utc(temp.year, temp.month, temp.day, temp.hour,
        temp.minute, temp.second, temp.millisecond, temp.microsecond);
    var now = DateTime.now().toUtc().add(Duration(hours: 8));

    var diff = now.difference(logindate);

    return diff.inDays > 3;
  }

  String getLoginTime(BuildContext context, String loginStr) {
    if (loginStr == null || loginStr == '') return '';
    var temp = DateTime.parse(loginStr);
    var logindate = DateTime.utc(temp.year, temp.month, temp.day, temp.hour,
        temp.minute, temp.second, temp.millisecond, temp.microsecond);
    var now = DateTime.now().toUtc().add(Duration(hours: 8));

    var diff = now.difference(logindate);
    //刚刚
    if (diff.inMinutes == 0) {
      return I18n.of(context).just;
    }
    //xx分钟前
    if (diff.inHours == 0) {
      return I18n.of(context)
          .minute_ago
          .replaceFirst('/s1', diff.inMinutes.toString());
    }
    //xx小时前
    if (diff.inDays == 0) {
      return I18n.of(context)
          .hour_ago
          .replaceFirst('/s1', diff.inHours.toString());
    }
    //xx天前
    return I18n.of(context).day_ago.replaceFirst('/s1', diff.inDays.toString());
  }

  String subUserName(String name, {int size = 8}) {
    return name.length > size ? name.substring(0, size) + '...' : name;
  }

  initLocalData() {
    var data = constData[UserData().language];
    initCity(data['city']);
    initProgram(data['program']);
    initLovePeople(data['lovePeople']);
    initJob(data['job']);
  }

  initCity(list) {
    list.forEach((item) {
      provinces[item['Key']] = item['Value'];
      Map<String, String> map = {};
      item['List'].forEach((data) {
        map[data['Key']] = data['Value'];
      });
      cities[item['Key']] = map;
    });
  }

  initProgram(list) {
    list.forEach((item) {
      dateItemMap[item['Key']] = item['Value'];
    });
  }

  initLovePeople(list) {
    list.forEach((item) {
      loverPeopleMap[item['Key']] = item['Value'];
    });
  }

  initJob(list) {
    list.forEach((item) {
      professionCate[item['Key']] = item['Value'];
      Map<String, String> map = {};
      item['List'].forEach((data) {
        map[data['Key']] = data['Value'];
      });
      professionList[item['Key']] = map;
    });
  }

  getAllData() {
    changeLoaction(UserData().language);
    initLocalData();
    //获取约会范围
    _getSelectData(4, (List list) {
      initCity(list);
    });

    //获取约会节目
    _getSelectData(1, (List list) {
      initProgram(list);
    });

    //获取期待对象
    _getSelectData(2, (List list) {
      initLovePeople(list);
    });

    //获取职业
    _getSelectData(3, (List list) {
      initJob(list);
    });

    _getBankInfo();

    _getSystemSetting();

    //初始化身高数据
    for (int i = 140; i <= 230; i++) {
      heightData[i.toString()] = '${i}CM';
      heightListData[i.toString()] = {
        "100000": {"name": 'test'}
      };
    }

    //初始化体重数据
    for (int i = 30; i <= 120; i++) {
      weightData[i.toString()] = '${i}KG';
      weightListData[i.toString()] = {
        "100000": {"name": 'test'}
      };
    }
  }

  _getBankInfo() async {
    Map data = {
      "language": UserData().language,
    };
    data['sign'] = TokenMgr().getSign(data);

    Response res = await HttpUtil().post('wallet/bank/info', data: data);
    if (res == null) {
      return;
    }
    Map resData = res.data;
    if (resData['code'] == 0 && resData['data'] != null) {
      //初始化银行数据
      for (int i = 0; i < resData['data'].length; i++) {
        var rdata = resData['data'][i];
        bankData['${rdata['BId']}'] = '${rdata['BankName']}';
        bankListData['${rdata['BId']}'] = {
          "100000": {"name": 'test'}
        };
      }
    }
  }

  _getSystemSetting() async {
    Map data = {
      "language": UserData().language,
    };
    data['sign'] = TokenMgr().getSign(data);

    Response res = await HttpUtil().post('system/parameter/config', data: data);
    if (res == null) {
      return;
    }
    Map resData = res.data;
    print(resData);
    if (resData['code'] == 0 && resData['data'] != null) {
      UserData().inviteCodePrice = resData['data']['InviteCode'];
      UserData().accountPrice = resData['data']['AccountPrice'];
      UserData().redPhotoPrice = resData['data']['RedPhotoPrice'];
      UserData().addProgramPrice = resData['data']['PublishPrice'];
    }
  }

  _getSelectData(type, callback) async {
    var data = {
      "language": UserData().language,
      "type": type,
    };
    data['sign'] = TokenMgr().getSign(data);

    Response res = await HttpUtil().post('type/getlanguagelist', data: data);
    if (res == null) {
      return;
    }
    Map resData = res.data;
    if (resData['code'] == 0) {
      callback(resData['data']);
    }
  }
}
